package com.goafanti.achievement.bo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.goafanti.common.utils.StringUtils;

public class AchievementUserOwnerDetailBo extends AchievementOrgOwnerDetailBo {
	
	private Integer province;
	
	private Integer city;
	
	private Integer area;
	
	private String  CountInterest;
	
	private String field1;
	
	private String field2;
	
	private String cityName;
	
	private String interest;
	
	@SuppressWarnings("unused")
	private String[] technicalPictureUrls;
	
	private String easemobName;
	private String orderCount;
	private String orderIntentionCount;      	
	public String getOrderIntentionCount() {
		return orderIntentionCount;
	}

	public void setOrderIntentionCount(String orderIntentionCount) {
		this.orderIntentionCount = orderIntentionCount;
	}

	public String getOrderCount() {
		return orderCount;
	}

	public void setOrderCount(String orderCount) {
		this.orderCount = orderCount;
	}

	
	
	public String getEasemobName() {
		return easemobName;
	}

	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}

	public String getField1() {
		return field1;
	}

	public void setField1(String field1) {
		this.field1 = field1;
	}

	public String getField2() {
		return field2;
	}

	public void setField2(String field2) {
		this.field2 = field2;
	}

	public String getField3() {
		return field3;
	}

	public void setField3(String field3) {
		this.field3 = field3;
	}

	private String field3;

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}
	
	public Integer getCity() {
		return city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}
	
	public Integer getArea() {
		return area;
	}

	public void setArea(Integer area) {
		this.area = area;
	}

	public String getCountInterest() {
		if (StringUtils.isBlank(CountInterest)) CountInterest = "20";
		return String.valueOf(Integer.valueOf(CountInterest)+20);
	}

	public void setCountInterest(String countInterest) {
		CountInterest = countInterest;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public List<String> getTechnicalPictureUrls() {
		List<String> list= new ArrayList<String>();
		if (this.technicalPictureUrl == null) {
			return  list;
		} else {
			String str=this.technicalPictureUrl;
			String[] s=str.split(",");
			 list = Arrays.asList(s);  
			return list;
			
		}
	}

	public void setTechnicalPictureUrls(String[] technicalPictureUrls) {
		this.technicalPictureUrls = technicalPictureUrls;
	}

	public String getInterest() {
		return interest;
	}

	public void setInterest(String interest) {
		this.interest = interest;
	}

	

	


	
}
